Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing
[Java] Interface TestLogging

    @Deprecated
    public interface TestLogging

Configures logging of the test execution, e.g. whether the std err / out should be eagerly shown.

deprecated:
  use TestLogging instead

Method Summary
`boolean` | `getShowStandardStreams()` Whether to show eagerly the standard stream events.
`TestLogging` | `setShowStandardStreams(boolean standardStreams)` Whether to show eagerly the standard stream events.

Method Detail

### getShowStandardStreams

    public boolean getShowStandardStreams()

  Whether to show eagerly the standard stream events. Standard output is printed at INFO level, standard error at ERROR level.

### setShowStandardStreams

    public TestLogging setShowStandardStreams(boolean standardStreams)

  Whether to show eagerly the standard stream events. Standard output is printed at INFO level, standard error at ERROR level.
  Parameters:
    `standardStreams` - to configure
  Returns:
    this logging instance

Gradle API 1.1-rc-1